
<p>Postoje još dvije važne porodice Booleovih funkcija za koje smo sada spremni. Prisjetite se: do sada smo već naučili što je tautologija a što kontradikcija. Sada je vrijeme da naučimo što je minterm a što maksterm.</p>

<p>Mintermi su Booleove funkcije koje u tablici istinitosti u samo jednom retku poprimaju vrijednost 1. Time spadaju u porodicu funkcija koje imaju minimalni mogući broj jedinica (a da uopće sadrže jedinicu odnosno da nisu kontradikcije) i stoga se zovu mintermi. U algebarskom zapisu to su produkti koji sadrže sve varijable funkcije pri čemu se svaka varijabla pojavljuje samo jednom i to u izvornom ili komplementiranom obliku. Ovu porodicu funkcija označavamo s \(m_i\), gdje je <i>i</i> redni broj retka u tablici istinitosti u kojem ta funkcija poprima vrijednost 1 (uočite, čim govorimo o rednom broju retka, nužno moramo znati kakav je redoslijed varijabli uz koji radimo). Numeracija redaka kreće od 0 što nam omogućava da binarni uzorak varijabli u tom retku naprosto pročitamo kao binarno kodirani cijeli broj koji potom tretiramo kao indeks. Tako je prvom tablicom u nastavku dan minterm \(m_0(a,b,c)\), drugom \(m_1(a,b,c)\) a trećom \(m_7(a,b,c)\).</p>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 1.</span> Tablica istinitosti funkcije \(m_0(a,b,c)\).</div>
<table class="mlTableCC mlTableVRl1">
<thead><tr><th>\(a\)</th><th>\(b\)</th><th>\(c\)</th><th>\(m_0(a,b,c)\)</th></tr></thead>
<tbody>
<tr><td>0</td><td>0</td><td>0</td><td>1</td></tr>
<tr><td>0</td><td>0</td><td>1</td><td>0</td></tr>
<tr><td>0</td><td>1</td><td>0</td><td>0</td></tr>
<tr><td>0</td><td>1</td><td>1</td><td>0</td></tr>
<tr><td>1</td><td>0</td><td>0</td><td>0</td></tr>
<tr><td>1</td><td>0</td><td>1</td><td>0</td></tr>
<tr><td>1</td><td>1</td><td>0</td><td>0</td></tr>
<tr><td>1</td><td>1</td><td>1</td><td>0</td></tr>
</tbody>
</table>

<p>Algebarski zapis ove funkcije je:
$$
  m_0(a,b,c) = \bar a \cdot \bar b \cdot \bar c.
$$
Provjerite: samo kada su \(a=0\), \(b=0\) i \(c=0\) izraz \(\bar a \cdot \bar b \cdot \bar c\) poprima vrijednost 1; u svim ostalim slučajevima, izraz poprima vrijednost 0.
</p>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 2.</span> Tablica istinitosti funkcije \(m_1(a,b,c)\).</div>
<table class="mlTableCC mlTableVRl1">
<thead><tr><th>\(a\)</th><th>\(b\)</th><th>\(c\)</th><th>\(m_1(a,b,c)\)</th></tr></thead>
<tbody>
<tr><td>0</td><td>0</td><td>0</td><td>0</td></tr>
<tr><td>0</td><td>0</td><td>1</td><td>1</td></tr>
<tr><td>0</td><td>1</td><td>0</td><td>0</td></tr>
<tr><td>0</td><td>1</td><td>1</td><td>0</td></tr>
<tr><td>1</td><td>0</td><td>0</td><td>0</td></tr>
<tr><td>1</td><td>0</td><td>1</td><td>0</td></tr>
<tr><td>1</td><td>1</td><td>0</td><td>0</td></tr>
<tr><td>1</td><td>1</td><td>1</td><td>0</td></tr>
</tbody>
</table>

<p>Algebarski zapis ove funkcije je:
$$
  m_1(a,b,c) = \bar a \cdot \bar b \cdot c.
$$
Provjerite: samo kada su \(a=0\), \(b=0\) i \(c=1\) izraz \(\bar a \cdot \bar b \cdot c\) poprima vrijednost 1; u svim ostalim slučajevima, izraz poprima vrijednost 0.
</p>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 3.</span> Tablica istinitosti funkcije \(m_7(a,b,c)\).</div>
<table class="mlTableCC mlTableVRl1">
<thead><tr><th>\(a\)</th><th>\(b\)</th><th>\(c\)</th><th>\(m_7(a,b,c)\)</th></tr></thead>
<tbody>
<tr><td>0</td><td>0</td><td>0</td><td>0</td></tr>
<tr><td>0</td><td>0</td><td>1</td><td>0</td></tr>
<tr><td>0</td><td>1</td><td>0</td><td>0</td></tr>
<tr><td>0</td><td>1</td><td>1</td><td>0</td></tr>
<tr><td>1</td><td>0</td><td>0</td><td>0</td></tr>
<tr><td>1</td><td>0</td><td>1</td><td>0</td></tr>
<tr><td>1</td><td>1</td><td>0</td><td>0</td></tr>
<tr><td>1</td><td>1</td><td>1</td><td>1</td></tr>
</tbody>
</table>

<p>Algebarski zapis ove funkcije je:
$$
  m_7(a,b,c) = a \cdot b \cdot c.
$$
Provjerite: samo kada su \(a=1\), \(b=1\) i \(c=1\) izraz \(a \cdot b \cdot c\) poprima vrijednost 1; u svim ostalim slučajevima, izraz poprima vrijednost 0.
</p>

<p>Jeste li uočili na koji se način iz rednog broja minterma dobiva njegov algebarski zapis? Usporedite: 
$$
\begin{align}
(a,b,c)=(0,0,0) \; &amp;\Rightarrow \; m_0(a,b,c) = \bar a \cdot \bar b \cdot \bar c \\
(a,b,c)=(0,0,1) \; &amp;\Rightarrow \; m_1(a,b,c) = \bar a \cdot \bar b \cdot c \\
(a,b,c)=(1,1,1) \; &amp;\Rightarrow \; m_7(a,b,c) = a \cdot b \cdot c \\
\end{align}
$$
Odgovor leži u binarnoj reprezentaciji indeksa: minterm \(m_i\) je produkt u kojem su varijable bez komplementa one na čijim se mjestima u binarnom uzorku vrijednosti indeksa <i>i</i> nalazi vrijednost 1, a s komplementom one na čijim se mjestima u binarnom uzorku vrijednosti indeksa <i>i</i> nalazi vrijednost 0. Pogledajte \(m_0\); binarna reprezentacija rednog broja 0 je 000 i doista, u algebarskom zapisu minterma \(m_0(a,b,c)\) sve su tri varijable pod komplementom. Pogledajte zatim \(m_1\); binarna reprezentacija rednog broja 1 je 001 pa su u algebarskom zapisu minterma \(m_1(a,b,c)\) varijable \(a\) i \(b\) pod komplementom a \(c\) nije.</p>

<div class="mlImportant">
<p><b>Minterm \(m_i(a,b,\ldots)\)</b><br>
Minterm \(m_i(\underbrace{a,b,\ldots}_{k})\) je Booleova funkcija koja samo u <i>i</i>-tom retku tablice istinitosti poprima vrijednost 1; u svim ostalim retcima njezina je vrijednost 0. Ako se radi o funkciji od <i>k</i> varijabli, ona samo jednu kombinaciju vrijednosti tih varijabli preslikava u 1 dok preostalih \(2^k-1\) kombinacija ulaznih vrijednosti preslikava u 0. Algebarski, to je produkt u kojem se pojavljuju sve varijable i to u komplementiranom ili nekomplementiranom stanju, ovisno o tome je li u binarnom raspisu indeksa <i>i</i> varijabli dodijeljena vrijednost 0 ili vrijednost 1.
</p>
</div>






